Package com.independentsoft.office.odf.styles

# Class StrokeDash

java.lang.Object
com.independentsoft.office.odf.styles.StrokeDash

public class StrokeDash extends Object
Represents the dash style that is used for a stroke.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StrokeDash()`
  Initializes a new instance of the StrokeDash class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StrokeDash`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getDisplayName()`
  Gets the name of a dash style.
  `Size`
  `getDistance()`
  Gets the distance between the dashes of a stroke.
  `Size`
  `getDots1()`
  Gets the number of dashes for the first sequence in an alternating sequence of dots.
  `Size`
  `getDots1Length()`
  Gets the length of the dashes.
  `Size`
  `getDots2()`
  Gets the number of dashes for the second sequence in an alternating sequence of dots.
  `Size`
  `getDots2Length()`
  Gets the length of the dashes.
  `String`
  `getName()`
  Gets the names that are used for referencing graphical elements.
  `DashStyle`
  `getStyle()`
  Gets the rendering for a stroke-dash.
  `void`
  `setDisplayName​(String displayName)`
  Sets the name of a dash style.
  `void`
  `setDistance​(Size distance)`
  Sets the distance between the dashes of a stroke.
  `void`
  `setDots1​(Size dots1)`
  Sets the number of dashes for the first sequence in an alternating sequence of dots.
  `void`
  `setDots1Length​(Size dots1Length)`
  Sets the length of the dashes.
  `void`
  `setDots2​(Size dots2)`
  Sets the number of dashes for the second sequence in an alternating sequence of dots.
  `void`
  `setDots2Length​(Size dots2Length)`
  Sets the length of the dashes.
  `void`
  `setName​(String name)`
  Sets the names that are used for referencing graphical elements.
  `void`
  `setStyle​(DashStyle style)`
  Sets the rendering for a stroke-dash.
  `String`
  `toString()`
  Converts the value of the current StrokeDash object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StrokeDash

    public StrokeDash()
    Initializes a new instance of the StrokeDash class.

- ## Method Details

  - ### clone

    public StrokeDash clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current StrokeDash object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the names that are used for referencing graphical elements.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the names that are used for referencing graphical elements.
    Parameters:
      `name` - the new name

  - ### getDisplayName

    public String getDisplayName()
    Gets the name of a dash style.
    Returns:
      the display name

  - ### setDisplayName

    public void setDisplayName​(String displayName)
    Sets the name of a dash style.
    Parameters:
      `displayName` - the new display name

  - ### getStyle

    public DashStyle getStyle()
    Gets the rendering for a stroke-dash.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(DashStyle style)
    Sets the rendering for a stroke-dash.
    Parameters:
      `style` - the new style

  - ### getDots1

    public Size getDots1()
    Gets the number of dashes for the first sequence in an alternating sequence of dots.
    Returns:
      the dots1

  - ### setDots1

    public void setDots1​(Size dots1)
    Sets the number of dashes for the first sequence in an alternating sequence of dots.
    Parameters:
      `dots1` - the new dots1

  - ### getDots1Length

    public Size getDots1Length()
    Gets the length of the dashes.
    Returns:
      the dots1 length

  - ### setDots1Length

    public void setDots1Length​(Size dots1Length)
    Sets the length of the dashes.
    Parameters:
      `dots1Length` - the new dots1 length

  - ### getDots2

    public Size getDots2()
    Gets the number of dashes for the second sequence in an alternating sequence of dots.
    Returns:
      the dots2

  - ### setDots2

    public void setDots2​(Size dots2)
    Sets the number of dashes for the second sequence in an alternating sequence of dots.
    Parameters:
      `dots2` - the new dots2

  - ### getDots2Length

    public Size getDots2Length()
    Gets the length of the dashes.
    Returns:
      the dots2 length

  - ### setDots2Length

    public void setDots2Length​(Size dots2Length)
    Sets the length of the dashes.
    Parameters:
      `dots2Length` - the new dots2 length

  - ### getDistance

    public Size getDistance()
    Gets the distance between the dashes of a stroke.
    Returns:
      the distance

  - ### setDistance

    public void setDistance​(Size distance)
    Sets the distance between the dashes of a stroke.
    Parameters:
      `distance` - the new distance